# NM_Set_Time_Regulating Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Set_Time_Regulating:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_Set_Time_Regulating ()
virtual | ~NM_Set_Time_Regulating ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
void | regulatorOn ()
void | regulatorOff ()
bool | isRegulator ()
## Protected Attributes
bool | regulator
| Toggle which indicates if federate wants to become regulator or leave its regulator state.

## Detailed Description

Definition at line 199 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Definition at line 201 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Set_Time_Regulating | ( |  | ) |

Definition at line 511 of file NM_Classes.cc.

References NetworkMessage::name, NM_Set_Time_Regulating::regulator, NetworkMessage::SET_TIME_REGULATING, and NetworkMessage::type.

~NM_Set_Time_Regulating | ( |  | ) | `[virtual]`

Definition at line 517 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Definition at line 519 of file NM_Classes.cc.

References NM_Set_Time_Regulating::regulator, NetworkMessage::serialize(), and MessageBuffer::write_bool().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Definition at line 525 of file NM_Classes.cc.

References NetworkMessage::deserialize(), MessageBuffer::read_bool(), and NM_Set_Time_Regulating::regulator.

Here is the call graph for this function:

void regulatorOn | ( |  | ) | `[inline]`

Definition at line 207 of file NM_Classes.hh.

Referenced by Federation::addRegulator(), and TimeManagement::setTimeRegulating().

void regulatorOff | ( |  | ) | `[inline]`

Definition at line 208 of file NM_Classes.hh.

Referenced by Federation::removeRegulator(), and TimeManagement::setTimeRegulating().

bool isRegulator | ( |  | ) | `[inline]`

Definition at line 209 of file NM_Classes.hh.

Referenced by RTIG::processSetTimeRegulating().

## Member Data Documentation

bool regulator`[protected]`

Toggle which indicates if federate wants to become regulator or leave its regulator state.

Definition at line 209 of file NM_Classes.hh.

Referenced by NM_Set_Time_Regulating::deserialize(), NM_Set_Time_Regulating::NM_Set_Time_Regulating(), and NM_Set_Time_Regulating::serialize().

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc